Bug 615480 - (CVE-2010-2751) CVE-2010-2751 Mozilla SSL spoofing with history.back() and history.forward()
CVE-2010-2751 Mozilla SSL spoofing with history.back() and history.forward()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100720,reported=20100714,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 15:45 EDT by Josh Bressers
Modified: 2013-04-12 17:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 17:55:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0546 normal SHIPPED_LIVE Critical: seamonkey security update 2010-07-20 20:43:03 EDT
Red Hat Product Errata RHSA-2010:0547 normal SHIPPED_LIVE Critical: firefox security update 2010-07-20 21:09:15 EDT

  None (edit)
Description Josh Bressers 2010-07-16 15:45:58 EDT
Security researcher Jordi Chancel reported that the location bar could be
spoofed to look like a secure page when the current document was served via
plaintext. The vulnerability is triggered by a server by first redirecting
a request for a plaintext resource to another resource behind a valid
SSL/TLS certificate. A second request made to the original plaintext
resource which is responded to not with a redirect but with JavaScript
containing history.back() and history.forward() will result in the
plaintext resource being displayed with valid SSL/TLS badging in the
location bar.
Comment 1 Vincent Danen 2010-07-20 19:53:44 EDT
This is now public: http://www.mozilla.org/security/announce/2010/mfsa2010-45.html
Comment 2 errata-xmlrpc 2010-07-20 20:43:19 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0546 https://rhn.redhat.com/errata/RHSA-2010-0546.html
Comment 3 errata-xmlrpc 2010-07-20 21:09:51 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0547 https://rhn.redhat.com/errata/RHSA-2010-0547.html
Comment 4 Fedora Update System 2010-07-22 22:31:08 EDT
seamonkey-2.0.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-07-22 22:36:44 EDT
xulrunner-1.9.2.7-1.fc13, firefox-3.6.7-1.fc13, mozvoikko-1.0-12.fc13, gnome-web-photo-0.9-10.fc13, perl-Gtk2-MozEmbed-0.08-6.fc13.15, gnome-python2-extras-2.25.3-20.fc13, galeon-2.0.7-30.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-07-22 22:42:50 EDT
seamonkey-2.0.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-07-22 22:46:33 EDT
xulrunner-1.9.1.11-1.fc12, firefox-3.5.11-1.fc12, gnome-web-photo-0.9-8.fc12, mozvoikko-1.0-11.fc12, perl-Gtk2-MozEmbed-0.08-6.fc12.14, gnome-python2-extras-2.25.3-19.fc12, galeon-2.0.7-24.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.